t = 0:0.01:3;
x1 = abs( sin(t.^2*2-pi/1.2)./2.^((t.^t-pi./2)./pi) );
x2 = abs( cos(t.^2*2-pi/1.2)./2.^((t.^t-pi./8)./pi) );
x3 = exp(-t.^t);
plot(t,x1,t,x2,t,x3);
grid on;
xlabel('Time (s)');
ylabel('Position (m)');
legend('Apple, $x_1=f_1(t)$', 'Orange, $x_2=f_2(t)$', 'Kiwi, $x_3=e^{-t^t}$');
matlab2tikz('myplot.tikz', 'height', '\figureheight', 'width', '\figurewidth', 'parseStrings', false);